/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <April 01, 2026> */

:root {
	--clr-white: #ffffff;
	--clr-black: #2f241e;
	--clr-primary: #e38a38;
	--clr-secondary: #89d2de;
	
	--font-herotitle: clamp(3rem, 2.0625rem + 3vw, 3.75rem); /*60px*/
	--font-title: clamp(2.8125rem, 2.5781rem + 0.75vw, 3rem); /*48px*/
	--font-spantitle: clamp(1.14625rem, 0.9657rem + 0.7405vw, 1.854375rem); /*29.67px*/
	--font-subtitle: clamp(1rem, 0.8172rem + 0.585vw, 1.14625rem); /*18.34px*/
}
/**/
	/*fonts*/

	/*btns*/
		.ry-btn-white{
			color: var(--clr-black)!important;
			background: var(--clr-white) !important;
			border: 1px solid var(--clr-white) !important;
		}
		.ry-btn-white:hover{
			color: var(--clr-white) !important;
			background: transparent !important;
			border: 1px solid var(--clr-white) !important;
		}
        .ry-menu .ry-nav li.dropdown .dropdown-menu li {
            background: var(--color-primary-background);
            color: #374151;
        }
/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, transparent, transparent, #0000008c);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
body[data-page-name="index"] #navigation {
    position: absolute;
}

.slider-info {
    min-height: fit-content;
}

.cta-btn:nth-child(2) {
    background: var(--color-primary-background);
}
.cta-btn:nth-child(3) {
    background: black;
}
.cta-btn:nth-child(2):hover,
.cta-btn:nth-child(3):hover{
    background: transparent !important;
}
.cta-btn {
    border-radius: 999px;
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
/* CTA */
	/**/
/* Welcome */
	/**/
.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo {
    padding-bottom: 90%;
}

.module-welcome.style-5 .ry-text p {
    font-size: 1.25rem;
    line-height: 1.75rem;
}
.module-welcome.style-5:before {
    background-position: bottom;
}
/* Services */
	/**/
.ry-services.style2 .ry-each .photo {
    background: var(--color-secondary-background);
}

.ry-services.style2 .ry-each .photo:before {
    background: white;
    height: 80%;
    width: 80%;
    border-radius: 999px;
    left: 10%;
    top: 10%;
}

.ry-services.style2 .ry-each .photo img {
    z-index: 2;
    height: 50%;
    width: 50%;
    left: 25%;
    top: 10%;
    opacity: 0.6;
}

.ry-services.style2 .ry-each .title div {
    color: black;
    line-height: 1;
}

.ry-services.style2 .ry-each .title {
    bottom: 50px;
}

.ry-services.style2 .ry-each:first-child .each-block:first-child .photo, .ry-services.style2 .ry-each:nth-child(2) .each-block:nth-child(2) .photo, .ry-services.style2 .ry-each:nth-child(3) .each-block:nth-child(1) .photo {
    background: black;
}
/* Meet the Team */
	/**/
/* Insurance */
	/**/
#hp-insurance-1 .overflow-hidden {
    padding: 0;
}
#hp-insurance-1 .swiper-slide {
    background: none;
}

#hp-insurance-1 .swiper-slide img {
    mix-blend-mode: normal;
    filter: invert(1);
    min-height: 100px;
}
/* Brand */
	/**/
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
	
:is(.module-testimonials.style-5) :is(.swiper-button-prev, .swiper-button-next) {
    background-color: black;
}
.review-widget {
    z-index: 2;
}
/* Footer */
	/**/
/*Media Queries*/
	/**/
@media screen and (max-width:1024px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
    
    body[data-page-name="index"] #navigation {
        position: relative;
    }
}
@media screen and (max-width:1080px){
    .ry-services.style2 .each-block:nth-child(even) .photo{
        background: var(--color-secondary-background);
    }
    .ry-services.style2 .each-block:nth-child(odd) .photo{
        background: black;
    }
    .ry-services.style2 .each-block .photo:before {
            background: white;
            height: 80%;
            width: 80%;
            border-radius: 999px;
            left: 10%;
            top: 10%;
    }
    .ry-services.style2 .each-block .photo img {
            z-index: 2;
            height: 50%;
            width: 50%;
            left: 25%;
            top: 20%;
            opacity: 0.6; 
    }
    .ry-services.style2 .each-block .title div {
        color: black;
        line-height: 1;
    }
    
    .ry-services.style2 .each-block .title {
        bottom: 100px;
    }
}
@media (max-width: 768px) {
    .divider {
        display: none;
    }
}
/* End - HP Edits*/
.review-widget{z-index: auto !important;}